Bug 1165939 - Bios firmware memory errors in boot.msg
Bios firmware memory errors in boot.msg
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-06 16:05 UTC by Rafael Montes
Modified: 2020-09-19 16:30 UTC (History)
2 users (show)

See Also:
Found By: Customer
Services Priority: 250
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Boot.msg (91.70 KB, text/plain)
2020-03-06 16:05 UTC, Rafael Montes
Details
Boot.msg (86.83 KB, text/plain)
2020-03-20 01:57 UTC, Rafael Montes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Montes 2020-03-06 16:05:38 UTC
Created attachment 832121 [details]
Boot.msg

3>[    0.120904] DMAR: [Firmware Bug]: No firmware reserved region can cover this RMRR [0x000000004b359000-0x000000004b35bfff], contact BIOS vendor for fixes
<4>[    0.120907] ------------[ cut here ]------------
<4>[    0.120908] Your BIOS is broken; bad RMRR [0x000000004b359000-0x000000004b35bfff]
                  BIOS vendor: Dell Inc.; Ver: 2.0.2; Product Version: 
<4>[    0.120922] WARNING: CPU: 0 PID: 0 at drivers/iommu/intel-iommu.c:4326 dmar_parse_one_rmrr+0x7d/0x10d
<4>[    0.120922] Modules linked in:
<4>[    0.120925] CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.5.6-1-default #1 openSUSE Tumbleweed (unreleased)
<4>[    0.120925] Hardware name: Dell Inc. Precision 5820 Tower/002KVM, BIOS 2.0.2 12/14/2019
<4>[    0.120926] RIP: 0010:dmar_parse_one_rmrr+0x7d/0x10d
<4>[    0.120927] Code: bf 01 00 00 00 48 89 c5 e8 b0 d4 db fe 48 8b 53 10 48 8b 73 08 4d 89 e1 48 89 c1 49 89 e8 48 c7 c7 e0 97 39 8d e8 85 16 6b fe <0f> 0b 48 8b 3d fa 15 7f ff ba 38 00 00 00 be c0 0d 00 00 e8 eb 48
<4>[    0.120928] RSP: 0000:ffffffff8d603e00 EFLAGS: 00010286
<4>[    0.120928] RAX: 0000000000000000 RBX: ffffb437000750b0 RCX: 0000000000000116
<4>[    0.120929] RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000247
<4>[    0.120929] RBP: ffffffff8ea0000c R08: 0000000000000116 R09: 0000000000000004
<4>[    0.120930] R10: 0000000000000000 R11: 0000000000000001 R12: ffffffff8d101cac
<4>[    0.120930] R13: ffffffff8d603e50 R14: 000000002686bc80 R15: 0000000000000000
<4>[    0.120931] FS:  0000000000000000(0000) GS:ffff89ac60000000(0000) knlGS:0000000000000000
<4>[    0.120931] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[    0.120932] CR2: ffff89a73f601000 CR3: 0000000b3e20a001 CR4: 00000000000606b0
<4>[    0.120932] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4>[    0.120932] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4>[    0.120933] Call Trace:
<4>[    0.120939]  dmar_walk_remapping_entries+0x76/0x120
<4>[    0.120940]  dmar_table_init+0xdd/0x16d
<4>[    0.120941]  ? dmar_free_dev_scope+0x70/0x70
<4>[    0.120942]  ? init_dmars+0xa27/0xa27
<4>[    0.120943]  ? iommu_resume+0x1b0/0x1b0
<4>[    0.120944]  ? early_enable_iommus.cold+0x321/0x321
<4>[    0.120945]  ? amd_iommu_apply_ivrs_quirks+0x11/0x11
<4>[    0.120946]  intel_prepare_irq_remapping+0x3d/0x227
<4>[    0.120947]  irq_remapping_prepare+0x1d/0x5f
<4>[    0.120950]  enable_IR_x2apic+0x21/0x1a9
<4>[    0.120951]  default_setup_apic_routing+0x12/0x6f
<4>[    0.120952]  apic_intr_mode_init+0xc9/0xec
<4>[    0.120954]  x86_late_time_init+0x20/0x25
<4>[    0.120956]  start_kernel+0x45b/0x516
<4>[    0.120959]  secondary_startup_64+0xb6/0xc0
<4>[    0.120960] ---[ end trace 38a5a0d5b0722b39 ]---
Comment 1 Rafael Montes 2020-03-06 16:13:20 UTC
fwupdmgr get-history
Precision 5820 Tower
│
└─System Firmware:
  │   Device ID:           dc7e5875f7a3e54c8377c2b46c75c20e59b5e1a7
  │   Previous version:    1.12.1
  │   Update State:        success
  │   Last modified:       2020-02-20 19:48
  │   GUID:                9f1ecab8-a9d1-4d01-9bf8-b91cb116b641
  │   Device Flags:        • Internal device
  │                        • Updatable
  │                        • Requires AC power
  │                        • Supported on remote server
  │                        • Needs a reboot after installation
  │                        • Reported to remote server
  │                        • Cryptographic hash verification is available
  │                        • Device is usable for the duration of the update
  │ 
  └─Precision 5820 Tower System Update:
        New version:       2.0.2
        Remote ID:         lvfs
        Summary:           Firmware for the Dell Precision 5820 Tower
        License:           Proprietary
        Size:              11.2 MB
        Vendor:            Dell Inc.
        Description:       Fixed a BIOS Setup configuration issue that occurs after clearing the CMOS. Fixed an issue with preboot TPM detection and error logging. Removed the IpSec driver and application.
        
        Supports the new Intel processor versions.Updated the Intel RSTe preOS.
        
        Added a new feature to automatically suspend BitLocker before upgrading the firmware. After the firmware upgrade is complete, BitLocker is automatically enabled.
        
        Added an enhancement to extend the BIOS password configuration measurements into the TPM.
        
        Security issues fixed:
        
         • CVE-2019-0169
         • CVE-2019-11088
         • CVE-2019-11104
         • CVE-2019-0131
         • CVE-2019-11090
         • CVE-2019-0166
         • CVE-2019-11087
         • CVE-2019-11101
         • CVE-2019-11100
         • CVE-2019-11132
         • CVE-2019-11131
         • CVE-2019-11147
         • CVE-2019-11135
         • CVE-2019-11139
         • CVE-2019-0152
         • CVE-2019-11136
         • CVE-2019-11137
         • CVE-2019-0151
Comment 2 Alynx Zhou 2020-03-20 01:47:30 UTC
Hi, maybe you can try to update you BIOS firmware? Thanks.
Comment 3 Rafael Montes 2020-03-20 01:56:40 UTC
I have updated firmware. Message still persist. Not sure of impact yet. Have some browser issues. Hanging logging me out. Both Firefox and Chrome. 

DMAR: [Firmware Bug]: No firmware reserved region can cover this RMRR [0x000000004b35a000-0x000000004b35cfff], contact BIOS vendor for fixes
<4>[    0.121580] ------------[ cut here ]------------
<4>[    0.121581] Your BIOS is broken; bad RMRR [0x000000004b35a000-0x000000004b35cfff]
                  BIOS vendor: Dell Inc.; Ver: 2.0.2; Product Version: 
<4>[    0.121594] WARNING: CPU: 0 PID: 0 at drivers/iommu/intel-iommu.c:4333 dmar_parse_one_rmrr+0x7d/0x10d
<4>[    0.121594] Modules linked in:
<4>[    0.121596] CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.5.7-1-default #1 openSUSE Tumbleweed (unreleased)
<4>[    0.121597] Hardware name: Dell Inc. Precision 5820 Tower/002KVM, BIOS 2.0.2 12/14/2019
<4>[    0.121598] RIP: 0010:dmar_parse_one_rmrr+0x7d/0x10d
<4>[    0.121599] Code: bf 01 00 00 00 48 89 c5 e8 30 62 db fe 48 8b 53 10 48 8b 73 08 4d 89 e1 48 89 c1 49 89 e8 48 c7 c7 d0 5b d9 8e e8 45 a6 6b fe <0f> 0b 48 8b 3d fa 55 7f ff ba 38 00 00 00 be c0 0d 00 00 e8 9b d8
<4>[    0.121600] RSP: 0000:ffffffff8f003e00 EFLAGS: 00010286
<4>[    0.121601] RAX: 0000000000000000 RBX: ffffb7e70009b0b8 RCX: 00000000000000ee
<4>[    0.121601] RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000247
<4>[    0.121601] RBP: ffffffff9040000c R08: 00000000000000ee R09: 0000000000000004
<4>[    0.121602] R10: 0000000000000000 R11: 0000000000000001 R12: ffffffff8eb00d0c
<4>[    0.121602] R13: ffffffff8f003e50 R14: 0000000000000000 R15: 0000000000000008
<4>[    0.121603] FS:  0000000000000000(0000) GS:ffff8c8220000000(0000) knlGS:0000000000000000
<4>[    0.121603] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[    0.121604] CR2: ffff8c7f1ec01000 CR3: 0000000d5d80a001 CR4: 00000000000606b0
<4>[    0.121604] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4>[    0.121605] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4>[    0.121605] Call Trace:
<4>[    0.121610]  dmar_walk_remapping_entries+0x76/0x120
<4>[    0.121612]  dmar_table_init+0xdd/0x16d
<4>[    0.121614]  ? dmar_free_dev_scope+0x70/0x70
<4>[    0.121615]  ? init_dmars+0xa27/0xa27
<4>[    0.121616]  ? iommu_resume+0x1b0/0x1b0
<4>[    0.121617]  ? early_enable_iommus.cold+0x321/0x321
<4>[    0.121618]  ? amd_iommu_apply_ivrs_quirks+0x11/0x11
<4>[    0.121620]  intel_prepare_irq_remapping+0x3d/0x227
<4>[    0.121621]  irq_remapping_prepare+0x1d/0x5f
<4>[    0.121623]  enable_IR_x2apic+0x21/0x1a9
<4>[    0.121624]  default_setup_apic_routing+0x12/0x6f
<4>[    0.121625]  apic_intr_mode_init+0xc9/0xec
<4>[    0.121627]  x86_late_time_init+0x20/0x25
<4>[    0.121630]  start_kernel+0x45b/0x516
<4>[    0.121632]  secondary_startup_64+0xb6/0xc0
<4>[    0.121634] ---[ end trace 2e515283aec72c41 ]---
<6>[    0.121635] DMAR: ATSR flags: 0x0
<6>[    0.121637] DMAR-IR: IOAPIC id 12 under DRHD base  0xfbffc000 IOMMU 2
<6>[    0.121638] DMAR-IR: IOAPIC id 11 under DRHD base  0xd8ffc000 IOMMU 1
<6>[    0.121638] DMAR-IR: IOAPIC id 10 under DRHD base  0xb5ffc000 IOMMU 0
<6>[    0.121638] DMAR-IR: IOAPIC id 8 under DRHD base  0x92ffc000 IOMMU 3
<6>[    0.121639] DMAR-IR: IOAPIC id 9 under DRHD base  0x92ffc000 IOMMU 3
<6>[    0.121639] DMAR-IR: HPET id 0 under DRHD base 0x92ffc000
<6>[    0.121640] DMAR-IR: Queued invalidation will be enabled to support x2apic and Intr-remapping.
<6>[    0.122384] DMAR-IR: Enabled IRQ remapping in x2apic mode
Comment 4 Rafael Montes 2020-03-20 01:57:32 UTC
Created attachment 833437 [details]
Boot.msg
Comment 5 Rafael Montes 2020-04-15 17:36:26 UTC
Firmware is up to date.
Comment 6 Rafael Montes 2020-04-15 18:05:43 UTC
Latest firmware is applied. Issue still occurring

Dell Precision 5820 Tower and Precision 5820 Tower X-Series System BIOS URGENT
BIOS	20 Jan 2020	
Version: 2.0.2 
Last Updated Date: 20 Jan 2020


linux-1d9q:/home/rmontes # dmidecode -s bios-version
2.0.2